package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmModelTrack;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法模型配置业务对象 algorithm_model_track
 *
 * @author wangkang
 * @date 2024-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmModelTrack.class, reverseConvertGenerate = false)
public class AlgorithmModelTrackBo extends BaseEntity{
    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空")
    private Long id;

    /**
     * 算法
     */
    @NotNull(message = "算法不能为空")
    private Long algorithmId;

    /**
     * 模型名称
     */
    @NotBlank(message = "模型名称不能为空")
    private String modelName;

    /**
     * 模型
     */
    @NotBlank(message = "模型不能为空")
    private String modelAddress;

    /**
     * 训练样本数
     */
    @NotNull(message = "训练样本数不能为空")
    private Long sampleNumber;

    /**
     * 训练循环次数
     */
    @NotNull(message = "训练循环次数不能为空")
    private Long cycleEpoch;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空")
    private String remarks;

    /**
     * 系统
     */
    @NotBlank(message = "系统不能为空")
    private String system;


}
